Page MenuHomePhabricator

Can't save in VE (due to local scripts on de.wp)
Closed, InvalidPublic

Description

Since some time now, I can't save in VE. When I click on "publish" nothing happens,

Browser: Firefox 60 on Linux
Skin: Vector
Gadgets/Scripts: a lot…

On the console I see three errors:

TypeError: this.model is null
load.php:1591:1
ReferenceError: require is not defined
index.php:1:29
TypeError: this.title is undefined
load.php:422:450

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2018, 9:22 PM

@MichaelSchoenitzer If you click the little triangle/arrow to the left of "TypeError", some further details will appear – can you copy-paste these as well?

Can you give an example of a page where this happens, and describe the edit you tried to make?

@MichaelSchoenitzer If you click the little triangle/arrow to the left of "TypeError", some further details will appear – can you copy-paste these as well?

One Moment…

Can you give an example of a page where this happens, and describe the edit you tried to make?

It was this edit:
https://de.wikipedia.org/w/index.php?title=Panguana&type=revision&diff=178094775&oldid=172633804&diffmode=source
After the error occurred I couldn't do anything, so I hard-reloaded the page. After reload VE restored the edit, then I could switch to 2010-Wikitext-Editor and save.

@MichaelSchoenitzer If you click the little triangle/arrow to the left of "TypeError", some further details will appear – can you copy-paste these as well?
ReferenceError: require is not defined index.php:1:29
	<anonym> https://de.wikipedia.org/w/index.php:1:29
	initVe/SaveDialogWithDiff.prototype.initialize https://de.wikipedia.org/w/index.php:888:3
	OO.ui.Window.prototype.setManager https://de.wikipedia.org/w/load.php:417:356
	OO.ui.WindowManager.prototype.addWindows https://de.wikipedia.org/w/load.php:411:235
	OO.ui.WindowManager.prototype.getWindow https://de.wikipedia.org/w/load.php:406:1
	ve.init.mw.ArticleTarget.prototype.showSaveDialog https://de.wikipedia.org/w/load.php:1180:151
	ve.init.mw.ArticleTarget.prototype.onToolbarSaveButtonClick https://de.wikipedia.org/w/load.php:1179:694
	oo.EventEmitter.prototype.emit https://de.wikipedia.org/w/load.php:408:479
	OO.ui.mixin.ButtonElement.prototype.onClick https://de.wikipedia.org/w/load.php:148:965
	<anonym> self-hosted:976:17
	dispatch https://de.wikipedia.org/w/load.php:69:502
	add/elemData.handle https://de.wikipedia.org/w/load.php:66:229

TypeError: this.title is undefined load.php:422:450
	OO.ui.Dialog.prototype.getSetupProcess/< https://de.wikipedia.org/w/load.php:422:450
	proceed/< https://de.wikipedia.org/w/load.php:401:99
	OO.ui.Process.prototype.execute https://de.wikipedia.org/w/load.php:401:738
	OO.ui.Window.prototype.setup https://de.wikipedia.org/w/load.php:419:473
	OO.ui.WindowManager.prototype.openWindow/</< https://de.wikipedia.org/w/load.php:408:27

ReferenceError happend on first click on publish, TypeError on second click.

SaveDialogWithDiff implicates https://de.wikipedia.org/wiki/Benutzer:Schnark/js/diff.js, but I don't understand how that script could cause the failure (it doesn't even call require anywhere). I suppose there might be another script involved that tries to override the VE save dialog and they conflict?

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 7 2018, 8:30 AM
Aklapper renamed this task from Can't save in VE to Can't save in VE (due to local scripts on de.wp).Jun 7 2018, 1:39 PM
Aklapper changed the task status from Resolved to Invalid.
Aklapper removed Schnark as the assignee of this task.
Vvjjkkii renamed this task from Can't save in VE (due to local scripts on de.wp) to jibaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
MichaelSchoenitzer renamed this task from jibaaaaaaa to Can't save in VE (due to local scripts on de.wp).Jul 1 2018, 10:52 AM
MichaelSchoenitzer closed this task as Resolved.
MichaelSchoenitzer updated the task description. (Show Details)
CommunityTechBot changed the task status from Resolved to Invalid.Jul 5 2018, 6:58 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.